SeExpr

Public Member Functions | Public Attributes | List of all members
ExprSpecVectorNode Struct Reference

`#include <ExprSpecType.h>`

Inheritance diagram for ExprSpecVectorNode:

## Public Member Functions
| ExprSpecVectorNode (int startPos, int endPos, ExprSpecNode *x, ExprSpecNode *y, ExprSpecNode *z)
Public Member Functions inherited from ExprSpecNode
| ExprSpecNode (int startPos, int endPos)
virtual | ~ExprSpecNode ()

## Public Attributes
SeExpr2::Vec3d | v
Public Attributes inherited from ExprSpecNode
int | startPos
int | endPos

## Detailed Description

Definition at line 41 of file ExprSpecType.h.

## Constructor & Destructor Documentation

## ◆ ExprSpecVectorNode()

ExprSpecVectorNode::ExprSpecVectorNode | ( | int | startPos,
|  | int | endPos,
|  | ExprSpecNode * | x,
|  | ExprSpecNode * | y,
|  | ExprSpecNode * | z
| ) |  |
| inline

Definition at line 43 of file ExprSpecType.h.

References v, x, y, and z.

## Member Data Documentation

## ◆ v

SeExpr2::Vec3d ExprSpecVectorNode::v

Definition at line 42 of file ExprSpecType.h.

Referenced by ExprSpecVectorNode().

The documentation for this struct was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprSpecType.h